Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.jce.provider
Class JDKPSSSigner

    java.lang.Object
      java.security.SignatureSpi
          org.bouncycastle.jce.provider.JDKPSSSigner

Direct Known Subclasses:
  JDKPSSSigner.nonePSS, JDKPSSSigner.PSSwithRSA, JDKPSSSigner.SHA1withRSA, JDKPSSSigner.SHA224withRSA, JDKPSSSigner.SHA256withRSA, JDKPSSSigner.SHA384withRSA, JDKPSSSigner.SHA512withRSA

    public class JDKPSSSigner

extends java.security.SignatureSpi

Nested Class Summary
`static class` `JDKPSSSigner.nonePSS`
`static class` `JDKPSSSigner.PSSwithRSA`
`static class` `JDKPSSSigner.SHA1withRSA`
`static class` `JDKPSSSigner.SHA224withRSA`
`static class` `JDKPSSSigner.SHA256withRSA`
`static class` `JDKPSSSigner.SHA384withRSA`
`static class` `JDKPSSSigner.SHA512withRSA`

Field Summary

Fields inherited from class java.security.SignatureSpi
`appRandom`

Constructor Summary
`protected` `JDKPSSSigner(AsymmetricBlockCipher signer, java.security.spec.PSSParameterSpec paramSpecArg)`
`protected` `JDKPSSSigner(AsymmetricBlockCipher signer, java.security.spec.PSSParameterSpec baseParamSpec, boolean isRaw)`

Method Summary
`protected java.lang.Object` `engineGetParameter(java.lang.String param)`
`protected java.security.AlgorithmParameters` `engineGetParameters()`
`protected void` `engineInitSign(java.security.PrivateKey privateKey)`
`protected void` `engineInitSign(java.security.PrivateKey privateKey, java.security.SecureRandom random)`
`protected void` `engineInitVerify(java.security.PublicKey publicKey)`
`protected void` `engineSetParameter(java.security.spec.AlgorithmParameterSpec params)`
`protected void` `engineSetParameter(java.lang.String param, java.lang.Object value)` Deprecated. replaced with
`protected byte[]` `engineSign()`
`protected void` `engineUpdate(byte b)`
`protected void` `engineUpdate(byte[] b, int off, int len)`
`protected boolean` `engineVerify(byte[] sigBytes)`

Methods inherited from class java.security.SignatureSpi
`clone, engineSign, engineUpdate, engineVerify`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JDKPSSSigner

    protected JDKPSSSigner(AsymmetricBlockCipher signer,
                           java.security.spec.PSSParameterSpec paramSpecArg)

### JDKPSSSigner

    protected JDKPSSSigner(AsymmetricBlockCipher signer,
                           java.security.spec.PSSParameterSpec baseParamSpec,
                           boolean isRaw)

Method Detail

### engineInitVerify

    protected void engineInitVerify(java.security.PublicKey publicKey)
                             throws java.security.InvalidKeyException

  Specified by:
    `engineInitVerify` in class `java.security.SignatureSpi`
  Throws:
    `java.security.InvalidKeyException`

### engineInitSign

    protected void engineInitSign(java.security.PrivateKey privateKey,
                                  java.security.SecureRandom random)
                           throws java.security.InvalidKeyException

  Overrides:
    `engineInitSign` in class `java.security.SignatureSpi`
  Throws:
    `java.security.InvalidKeyException`

### engineInitSign

    protected void engineInitSign(java.security.PrivateKey privateKey)
                           throws java.security.InvalidKeyException

  Specified by:
    `engineInitSign` in class `java.security.SignatureSpi`
  Throws:
    `java.security.InvalidKeyException`

### engineUpdate

    protected void engineUpdate(byte b)
                         throws java.security.SignatureException

  Specified by:
    `engineUpdate` in class `java.security.SignatureSpi`
  Throws:
    `java.security.SignatureException`

### engineUpdate

    protected void engineUpdate(byte[] b,
                                int off,
                                int len)
                         throws java.security.SignatureException

  Specified by:
    `engineUpdate` in class `java.security.SignatureSpi`
  Throws:
    `java.security.SignatureException`

### engineSign

    protected byte[] engineSign()
                         throws java.security.SignatureException

  Specified by:
    `engineSign` in class `java.security.SignatureSpi`
  Throws:
    `java.security.SignatureException`

### engineVerify

    protected boolean engineVerify(byte[] sigBytes)
                            throws java.security.SignatureException

  Specified by:
    `engineVerify` in class `java.security.SignatureSpi`
  Throws:
    `java.security.SignatureException`

### engineSetParameter

    protected void engineSetParameter(java.security.spec.AlgorithmParameterSpec params)
                               throws java.security.InvalidParameterException

  Overrides:
    `engineSetParameter` in class `java.security.SignatureSpi`
  Throws:
    `java.security.InvalidParameterException`

### engineGetParameters

    protected java.security.AlgorithmParameters engineGetParameters()

  Overrides:
    `engineGetParameters` in class `java.security.SignatureSpi`

### engineSetParameter

    protected void engineSetParameter(java.lang.String param,
                                      java.lang.Object value)

  Deprecated. replaced with

  Specified by:
    `engineSetParameter` in class `java.security.SignatureSpi`

### engineGetParameter

    protected java.lang.Object engineGetParameter(java.lang.String param)

  Specified by:
    `engineGetParameter` in class `java.security.SignatureSpi`

Bouncy Castle Cryptography Library 1.45